Package ru.bitel.bgbilling.kernel.module.common.bean

# Class BGModule

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.module.common.bean.BGModule

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class BGModule extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `BGModule`
  `copy()`
  `BGInstalledModule`
  `getInstalledModule()`
  `String`
  `getName()`
  `BGModule`
  `setInstalledModule(BGInstalledModule baseModule)`
  `BGModule`
  `setName(String name)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### BGModule

    public BGModule()

- ## Method Details

  - ### setName

    public BGModule setName(String name)

  - ### getName

    public String getName()

  - ### getInstalledModule

    public BGInstalledModule getInstalledModule()

  - ### setInstalledModule

    public BGModule setInstalledModule(BGInstalledModule baseModule)

  - ### clone

    public Object clone()
    Overrides:
      `clone` in class `Object`

  - ### copy

    public BGModule copy()